Query Schedule Info

Query Schedule Info
Fetch transfer and switchover schedule

Fetch transfer and switchover schedule

Request
URI
POST
https://{server}/hybridity/api/mobility/groups/{migrationGroupId}/schedule-info
COPY
Path Parameters
string
migrationGroupId
Required

Migration Group ID


Request Body

Fetch transfer and switchover schedule request body

queryScheduleInfoRequest of type(s) application/json
Required
{
    "query": {
        "migrations": [
            "string"
        ],
        "includeGroupDefaults": false
    },
    "pageParameters": {
        "pageSize": 0,
        "pageNumber": 0
    }
}
object
query
Optional

query

object
pageParameters
Optional

pageParameters

Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns queryScheduleInfoResponse of type(s) application/json
{
    "item": {
        "migrations": [
            {
                "migrationId": "string",
                "schedule": {
                    "transfer": {
                        "startTime": 0,
                        "expiryTime": 0,
                        "isInheritedFromGroupDefaults": false
                    },
                    "switchover": {
                        "startTime": 0,
                        "expiryTime": 0,
                        "clearSchedule": false,
                        "isInheritedFromGroupDefaults": false
                    }
                }
            }
        ],
        "groupDefaults": {
            "transfer": {
                "startTime": 0,
                "expiryTime": 0,
                "isInheritedFromGroupDefaults": false
            },
            "switchover": {
                "startTime": 0,
                "expiryTime": 0,
                "clearSchedule": false,
                "isInheritedFromGroupDefaults": false
            }
        }
    },
    "pageParameters": {
        "pageSize": 0,
        "pageNumber": 0,
        "totalPages": 0,
        "totalElements": 0
    },
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
object
item
Optional

item

object
pageParameters
Optional

pageParameters

array of object
errors
Optional

errors


400

Bad Request

Operation doesn't return any data structure

401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

500

Internal Server Error

Operation doesn't return any data structure

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/hybridity/api/mobility/groups/{migrationGroupId}/schedule-info